namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter12.Listing12_07
{
    public class Stack<T>
    {
        // W wersjach starszych niż C# 6.0 należy zastosować pole tylko do odczytu.
        private T[] InternalItems { get; }

        public void Push(T data)
        {
            //...
        }

        public T Pop()
        {
            //...
            return InternalItems[0]; // Przykładowe wywołanie
        }
    }
}
